TOUCH(1)

NOM
touch - Modifier l'horodatage d'un fichier

SYNOPSIS
touch [-acm][-r référence |-tdate] [--] fichier...

Version obsolète :
touch [-acm][date_horrible] fichier...

Version GNU :
touch [-acfm] [-r fichier] [-t date_décimale] [-d date] [--time={atime,access,use,mtime,modify}] [--date=date] [--reference=fichier] [--no-create] [--help] [--version] [--] fichier...

DESCRIPTION
touch modifie la date d'accès et la date de modification de chaque fichier indiqué. Ces horodatages sont remplacés par la date et l'heure actuelles, sauf si l'option -r est utilisée, auquel cas ils sont remplacés par les horodatages correspondants du fichier référence ou, si l'option -t est utilisée, on utilise la date mentionnée. Si aucune des deux options -a et -m ne sont indiquées, ou si elles le sont toutes deux, on modifie les deux dates (accès et changement) Si on utilise une seule des options -a et -m, seule la date concernée est modifiée. Les fichiers n'existant pas sont créés (sauf si l'option -c est utilisée), leur contenu est vide et leur mode est 0666 modifié par l'umask de l'utilisateur.

OPTIONS POSIX

-a  Modifier l'heure du dernier accès au fichier

-c  Ne pas créer les fichiers n'existant pas.

-m  Changer l'heure de dernière modification du fichier

-r fichier_référence
    Utiliser les horodatages du fichier_référence à la place de l'heure actuelle.

-t date
    Utiliser la date indiquée à la place de la date actuelle. L'argument est un nombre décimal de la forme
        [[SS]AA]MMJJhhmm[.ss]
    (Mois, Jour, Heure, Minute, éventuellement Siècle et Année, éventuellement seconde). Si le Siècle n'est pas mentionné, la date est automatiquement prise dans l'intervalle 1969-2068. Si les secondes ne sont pas fournies, on les fixe à 0. Les secondes peuvent appartenir à l'intervalle 0-61 à cause des rattrapages périodiques. La date résultante correspond au fuseau horaire indiquée par la variable TZ. Une date ne peut pas être antérieure au 1er Janvier 1970.

--  Fin explicite de la liste des options.

DÉTAILS POSIX
La seconde forme d'invocation présente l'inconvénient de risquer l'ambiguïté quant à savoir si date_horrible est une date ou un nom de fichier. On la considère comme une date si aucune option -r ou -t n'est utilisée, s'il y a au moins deux arguments, et si le premier argument est un entier de 8 ou 10 chiffre. Le format de la date_horrible est MMJJhhmm[aa], où aa (dans l'intervalle 69-99) indique une année dans l'intervalle 1969-1999. L'année en cours est indiquée par l'absence de aa. Cette forme est obsolète.

DÉTAILS GNU
Si le premier fichier serait un argument valide de l'option -t, si aucun horodatage n'est précisé par les options -d, -r ou -t, et si l'argument « -- » n'est pas mentionné, ce premier argument est interprété comme l'horodatage à utiliser plutôt que comme un nom de fichier.

Si l'on change à la fois les dates d'accès et de modification pour les amener à l'heure actuelle, alors touch peut modifier les horodatages de fichiers n'appartenant pas à l'utilisateur l'invoquant, à la condition toutefois que celui-ci ait une autorisation d'écriture dessus. Sinon, l'utilisateur doit posséder le fichier.

OPTIONS GNU
-a, --time=atime, --time=access, --time=use Modifier uniquement l'heure d'accès.

-c, --no-create
    Ne pas créer les fichiers n'existant pas.

-d date, --date=date
    Utiliser la date indiquée (qui peut se présenter sous plusieurs formes) à la place de la date actuelle. La date peut contenir des mois littéraux, des indications de fuseau horaire, les abréviations « am » et « pm », etc...

-f  Sans effet - uniquement pour assurer la compatibilité avec la version BSD de touch.

-m, --time=mtime, --time=modify
    Changer uniquement l'heure de modification.

-r fichier-référence, --file=fichier-référence
    Utiliser les horodatages du fichier_référence à la place de l'heure actuelle.

-t MMJJhhmm[[SS]AA][.ss]
    Utiliser la date (Mois, Jour, Heure, Minute, éventuellement Siècle et Année, éventuellement Seconde) à la place de la date actuelle. Notez que cette option viole la syntaxe Posix.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, et se terminer normalement.

--version
    Afficher un numéro de version sur la sortie standard, et se terminer normalement.

--  Terminer la liste des options.

ENVIRONNEMENT
La variable TZ est utilisée pour interpréter les dates fournies de manière explicite. LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.

CONFORMITÉ
POSIX.2 décrit une syntaxe pour l'option -t qui diffère de celle de GNU.

EXEMPLE D'UTILISATION
La commande « touch foo » créera le fichier foo s'il n'existe pas, et positionnera son horodatage de dernière modification à l'heure actuelle. Ceci est souvent utilisé pour contrôler le comportement de make.

NOTES
Cette page décrit la version de touch trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 21 décembre 1996 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 touch ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.